Bug 65898 - Low(er) FPS in Half-Life 2 on Arch Linux
Summary: Low(er) FPS in Half-Life 2 on Arch Linux
Status: RESOLVED WONTFIX
Alias: None
Product: Mesa
Classification: Unclassified
Component: Mesa core (show other bugs)
Version: 9.1
Hardware: x86 (IA32) Linux (All)
: medium normal
Assignee: mesa-dev
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-18 12:35 UTC by Mike Higgins
Modified: 2013-06-23 16:05 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Description Mike Higgins 2013-06-18 12:35:44 UTC
Hi there,

I have recently installed Steam for Linux and downloaded Half-Life 2. My laptop is by no means a new or speedy machine, and uses a built-in graphics card, so I'm not expecting miracles.

However.

I have loaded Half-Life 2 on my Windows install on the same machine, and get around 17FPS (not amazingly smooth, granted, but responsive enough when moving around) This is with the default settings (full screen, low model detail, high texture detail, high shader detail, simple reflections, medium shadow detail, color correction disabled, antialiasing off, trilinear filtering, vertical sync disabled, motion blur enabled, multicore rendering, HDR none). With the same settings (or even lower) on the linux install, I get around 5-10FPS (which is much slower, less reponsive and generally unplayable).

What would cause this difference?

I am not sure what info you require, so have gathered some h/w, system and graphics details from my system:

-------------------
Steam System Information:
-------------------
Processor Information:
    Vendor:  GenuineIntel
    Speed: 1500 Mhz
    2 logical processors
    2 physical processors
    HyperThreading:  Unsupported
    FCMOV:  Supported
    SSE2:  Supported
    SSE3:  Supported
    SSSE3:  Supported
    SSE4a:  Unsupported
    SSE41:  Unsupported
    SSE42:  Unsupported
    
Network Information:
    Network Speed:  
    
Operating System Version:
    Linux (32 bit)
    Kernel Name:  Linux
    Kernel Version:  3.9.4-1-ARCH
    X Server Vendor:  The X.Org Foundation
    X Server Release:  11401000
    X Window Manager:  GNOME Shell
    Steam Runtime Version:  steam-runtime-release-i386_2013-05-08
    
Video Card:
    Driver:  Intel Open Source Technology Center Mesa DRI Intel(R) 965GM x86/MMX/SSE2

    Driver Version:  2.1 Mesa 9.1.3
    Desktop Color Depth: 24 bits per pixel
    Monitor Refresh Rate: 59 Hz
    VendorID:  0x8086
    DeviceID:  0x2a02
    Number of Monitors:  1
    Number of Logical Video Cards:  1
    Primary Display Resolution:  1280 x 800
    Desktop Resolution: 1280 x 800
    Primary Display Size: 13.03" x 8.15"  (15.35" diag)
                                            33.1cm x 20.7cm  (39.0cm diag)
    Primary VRAM Not Detected
    
Sound card:
    Audio device: Realtek ALC268
    
Memory:
    RAM:  2010 Mb
    
Miscellaneous:
    UI Language:  English
    LANG:  en_GB.utf8
    Microphone:  Not set
    Total Hard Disk Space Available:  20034 Mb
    Largest Free Hard Disk Block:  12225 Mb
    
Installed software:
    
Recent Failure Reports:

-------------------
GLX Gears    
-------------------
[mike@mike-laptop ~]$ glxgears
Running synchronized to the vertical refresh.  The framerate should be
approximately the same as the monitor refresh rate.
307 frames in 5.0 seconds = 61.369 FPS
309 frames in 5.0 seconds = 61.702 FPS
309 frames in 5.0 seconds = 61.702 FPS
309 frames in 5.0 seconds = 61.707 FPS
XIO:  fatal IO error 11 (Resource temporarily unavailable) on X server ":0"
      after 4528 requests (4528 known processed) with 0 events remaining.

-------------------
GLXINFO
-------------------
[mike@mike-laptop ~]$ glxinfo
name of display: :0
brwCreateContext: failed to init intel context
display: :0  screen: 0
direct rendering: Yes
server glx vendor string: SGI
server glx version string: 1.4
server glx extensions:
    GLX_ARB_create_context, GLX_ARB_create_context_profile, 
    GLX_ARB_multisample, GLX_EXT_create_context_es2_profile, 
    GLX_EXT_import_context, GLX_EXT_texture_from_pixmap, GLX_EXT_visual_info, 
    GLX_EXT_visual_rating, GLX_INTEL_swap_event, GLX_MESA_copy_sub_buffer, 
    GLX_OML_swap_method, GLX_SGIS_multisample, GLX_SGIX_fbconfig, 
    GLX_SGIX_pbuffer, GLX_SGIX_visual_select_group, GLX_SGI_swap_control
client glx vendor string: Mesa Project and SGI
client glx version string: 1.4
client glx extensions:
    GLX_ARB_create_context, GLX_ARB_create_context_profile, 
    GLX_ARB_create_context_robustness, GLX_ARB_framebuffer_sRGB, 
    GLX_ARB_get_proc_address, GLX_ARB_multisample, 
    GLX_EXT_create_context_es2_profile, GLX_EXT_framebuffer_sRGB, 
    GLX_EXT_import_context, GLX_EXT_texture_from_pixmap, GLX_EXT_visual_info, 
    GLX_EXT_visual_rating, GLX_INTEL_swap_event, GLX_MESA_copy_sub_buffer, 
    GLX_MESA_multithread_makecurrent, GLX_MESA_swap_control, 
    GLX_OML_swap_method, GLX_OML_sync_control, GLX_SGIS_multisample, 
    GLX_SGIX_fbconfig, GLX_SGIX_pbuffer, GLX_SGIX_visual_select_group, 
    GLX_SGI_make_current_read, GLX_SGI_swap_control, GLX_SGI_video_sync
GLX version: 1.4
GLX extensions:
    GLX_ARB_create_context, GLX_ARB_create_context_profile, 
    GLX_ARB_get_proc_address, GLX_ARB_multisample, 
    GLX_EXT_create_context_es2_profile, GLX_EXT_import_context, 
    GLX_EXT_texture_from_pixmap, GLX_EXT_visual_info, GLX_EXT_visual_rating, 
    GLX_INTEL_swap_event, GLX_MESA_copy_sub_buffer, 
    GLX_MESA_multithread_makecurrent, GLX_MESA_swap_control, 
    GLX_OML_swap_method, GLX_OML_sync_control, GLX_SGIS_multisample, 
    GLX_SGIX_fbconfig, GLX_SGIX_pbuffer, GLX_SGIX_visual_select_group, 
    GLX_SGI_make_current_read, GLX_SGI_swap_control, GLX_SGI_video_sync
OpenGL vendor string: Intel Open Source Technology Center
OpenGL renderer string: Mesa DRI Intel(R) 965GM x86/MMX/SSE2
OpenGL version string: 2.1 Mesa 9.1.3
OpenGL shading language version string: 1.20
OpenGL extensions:
    GL_3DFX_texture_compression_FXT1, GL_ANGLE_texture_compression_dxt3, 
    GL_ANGLE_texture_compression_dxt5, GL_APPLE_object_purgeable, 
    GL_APPLE_packed_pixels, GL_APPLE_vertex_array_object, 
    GL_ARB_ES2_compatibility, GL_ARB_color_buffer_float, GL_ARB_copy_buffer, 
    GL_ARB_debug_output, GL_ARB_depth_buffer_float, GL_ARB_depth_clamp, 
    GL_ARB_depth_texture, GL_ARB_draw_buffers, 
    GL_ARB_draw_elements_base_vertex, GL_ARB_draw_instanced, 
    GL_ARB_explicit_attrib_location, GL_ARB_fragment_coord_conventions, 
    GL_ARB_fragment_program, GL_ARB_fragment_program_shadow, 
    GL_ARB_fragment_shader, GL_ARB_framebuffer_object, 
    GL_ARB_framebuffer_sRGB, GL_ARB_get_program_binary, 
    GL_ARB_half_float_pixel, GL_ARB_half_float_vertex, 
    GL_ARB_instanced_arrays, GL_ARB_internalformat_query, 
    GL_ARB_invalidate_subdata, GL_ARB_map_buffer_range, GL_ARB_multisample, 
    GL_ARB_multitexture, GL_ARB_occlusion_query, GL_ARB_occlusion_query2, 
    GL_ARB_pixel_buffer_object, GL_ARB_point_parameters, GL_ARB_point_sprite, 
    GL_ARB_provoking_vertex, GL_ARB_robustness, GL_ARB_sampler_objects, 
    GL_ARB_seamless_cube_map, GL_ARB_shader_bit_encoding, 
    GL_ARB_shader_objects, GL_ARB_shader_texture_lod, 
    GL_ARB_shading_language_100, GL_ARB_shadow, GL_ARB_sync, 
    GL_ARB_texture_border_clamp, GL_ARB_texture_compression, 
    GL_ARB_texture_compression_rgtc, GL_ARB_texture_cube_map, 
    GL_ARB_texture_env_add, GL_ARB_texture_env_combine, 
    GL_ARB_texture_env_crossbar, GL_ARB_texture_env_dot3, 
    GL_ARB_texture_float, GL_ARB_texture_mirrored_repeat, 
    GL_ARB_texture_non_power_of_two, GL_ARB_texture_rectangle, 
    GL_ARB_texture_rg, GL_ARB_texture_rgb10_a2ui, GL_ARB_texture_storage, 
    GL_ARB_texture_swizzle, GL_ARB_transpose_matrix, GL_ARB_vertex_array_bgra, 
    GL_ARB_vertex_array_object, GL_ARB_vertex_buffer_object, 
    GL_ARB_vertex_program, GL_ARB_vertex_shader, 
    GL_ARB_vertex_type_2_10_10_10_rev, GL_ARB_window_pos, 
    GL_ATI_blend_equation_separate, GL_ATI_draw_buffers, 
    GL_ATI_envmap_bumpmap, GL_ATI_separate_stencil, 
    GL_ATI_texture_env_combine3, GL_ATI_texture_float, GL_EXT_abgr, 
    GL_EXT_bgra, GL_EXT_blend_color, GL_EXT_blend_equation_separate, 
    GL_EXT_blend_func_separate, GL_EXT_blend_minmax, GL_EXT_blend_subtract, 
    GL_EXT_compiled_vertex_array, GL_EXT_copy_texture, GL_EXT_draw_buffers2, 
    GL_EXT_draw_instanced, GL_EXT_draw_range_elements, GL_EXT_fog_coord, 
    GL_EXT_framebuffer_blit, GL_EXT_framebuffer_multisample, 
    GL_EXT_framebuffer_object, GL_EXT_framebuffer_sRGB, 
    GL_EXT_gpu_program_parameters, GL_EXT_multi_draw_arrays, 
    GL_EXT_packed_depth_stencil, GL_EXT_packed_float, GL_EXT_packed_pixels, 
    GL_EXT_pixel_buffer_object, GL_EXT_point_parameters, 
    GL_EXT_polygon_offset, GL_EXT_provoking_vertex, GL_EXT_rescale_normal, 
    GL_EXT_secondary_color, GL_EXT_separate_shader_objects, 
    GL_EXT_separate_specular_color, GL_EXT_shadow_funcs, 
    GL_EXT_stencil_two_side, GL_EXT_stencil_wrap, GL_EXT_subtexture, 
    GL_EXT_texture, GL_EXT_texture3D, GL_EXT_texture_array, 
    GL_EXT_texture_compression_dxt1, GL_EXT_texture_compression_rgtc, 
    GL_EXT_texture_compression_s3tc, GL_EXT_texture_cube_map, 
    GL_EXT_texture_edge_clamp, GL_EXT_texture_env_add, 
    GL_EXT_texture_env_combine, GL_EXT_texture_env_dot3, 
    GL_EXT_texture_filter_anisotropic, GL_EXT_texture_integer, 
    GL_EXT_texture_lod_bias, GL_EXT_texture_object, GL_EXT_texture_rectangle, 
    GL_EXT_texture_sRGB, GL_EXT_texture_sRGB_decode, 
    GL_EXT_texture_shared_exponent, GL_EXT_texture_snorm, 
    GL_EXT_texture_swizzle, GL_EXT_vertex_array, GL_EXT_vertex_array_bgra, 
    GL_IBM_multimode_draw_arrays, GL_IBM_rasterpos_clip, 
    GL_IBM_texture_mirrored_repeat, GL_INGR_blend_func_separate, 
    GL_MESA_pack_invert, GL_MESA_texture_array, GL_MESA_texture_signed_rgba, 
    GL_MESA_window_pos, GL_MESA_ycbcr_texture, GL_NV_blend_square, 
    GL_NV_conditional_render, GL_NV_depth_clamp, GL_NV_light_max_exponent, 
    GL_NV_packed_depth_stencil, GL_NV_primitive_restart, 
    GL_NV_texgen_reflection, GL_NV_texture_env_combine4, 
    GL_NV_texture_rectangle, GL_OES_EGL_image, GL_OES_read_format, 
    GL_S3_s3tc, GL_SGIS_generate_mipmap, GL_SGIS_texture_border_clamp, 
    GL_SGIS_texture_edge_clamp, GL_SGIS_texture_lod, GL_SUN_multi_draw_arrays

12 GLX Visuals
    visual  x   bf lv rg d st  colorbuffer  sr ax dp st accumbuffer  ms  cav
  id dep cl sp  sz l  ci b ro  r  g  b  a F gb bf th cl  r  g  b  a ns b eat
----------------------------------------------------------------------------
0x021 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x022 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x077 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x078 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x079 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x07a 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8 16 16 16 16  0 0 Slow
0x07b 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x07c 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x07d 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x07e 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x07f 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8 16 16 16 16  0 0 Slow
0x05e 32 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None

24 GLXFBConfigs:
    visual  x   bf lv rg d st  colorbuffer  sr ax dp st accumbuffer  ms  cav
  id dep cl sp  sz l  ci b ro  r  g  b  a F gb bf th cl  r  g  b  a ns b eat
----------------------------------------------------------------------------
0x05f  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0  0  0  0  0  0  0  0 0 None
0x060  0 tc  0  16  0 r  . .   5  6  5  0 .  .  0  0  0  0  0  0  0  0 0 None
0x061  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0 16  0  0  0  0  0  0 0 None
0x062  0 tc  0  16  0 r  . .   5  6  5  0 .  .  0 16  0  0  0  0  0  0 0 None
0x063 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x064 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x065 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x066 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x067  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0 16  0  0  0  0  0  0 0 None
0x068  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x069 32 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x06a 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8 16 16 16 16  0 0 Slow
0x06b  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0  0  0  0  0  0  0  0 0 None
0x06c  0 dc  0  16  0 r  . .   5  6  5  0 .  .  0  0  0  0  0  0  0  0 0 None
0x06d  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0 16  0  0  0  0  0  0 0 None
0x06e  0 dc  0  16  0 r  . .   5  6  5  0 .  .  0 16  0  0  0  0  0  0 0 None
0x06f 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x070 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x071 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x072 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x073  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0 16  0  0  0  0  0  0 0 None
0x074  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x075 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x076 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8 16 16 16 16  0 0 Slow

-------------------
System/drivers
-------------------
Linux mike-laptop 3.9.4-1-ARCH #1 SMP PREEMPT Sun May 26 11:56:48 CEST 2013 i686 GNU/Linux

[mike@mike-laptop xinit]$ pacman -Q mesa xf86-video-intel libdrm libva libva-intel-driver cairo
mesa 9.1.3-1
xf86-video-intel 2.21.9-1
libdrm 2.4.45-1
libva 1.1.1-1
libva-intel-driver 1.0.20-1
cairo 1.12.14-4

-------------------
Other sysinfo
-------------------
Compaq Presario V6520
[mike@mike-laptop xinit]$ lspci
00:00.0 Host bridge: Intel Corporation Mobile PM965/GM965/GL960 Memory Controller Hub (rev 0c)
00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (primary) (rev 0c)
00:02.1 Display controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (secondary) (rev 0c)
00:1a.0 USB controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #4 (rev 03)
00:1a.1 USB controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #5 (rev 03)
00:1a.7 USB controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #2 (rev 03)
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)
00:1c.0 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 1 (rev 03)
00:1c.1 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 2 (rev 03)
00:1c.5 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 6 (rev 03)
00:1d.0 USB controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #1 (rev 03)
00:1d.1 USB controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #2 (rev 03)
00:1d.2 USB controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #3 (rev 03)
00:1d.7 USB controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #1 (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev f3)
00:1f.0 ISA bridge: Intel Corporation 82801HM (ICH8M) LPC Interface Controller (rev 03)
00:1f.1 IDE interface: Intel Corporation 82801HM/HEM (ICH8M/ICH8M-E) IDE Controller (rev 03)
00:1f.2 SATA controller: Intel Corporation 82801HM/HEM (ICH8M/ICH8M-E) SATA Controller [AHCI mode] (rev 03)
00:1f.3 SMBus: Intel Corporation 82801H (ICH8 Family) SMBus Controller (rev 03)
02:00.0 Network controller: Intel Corporation PRO/Wireless 3945ABG [Golan] Network Connection (rev 02)
06:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8101E/RTL8102E PCI Express Fast Ethernet controller (rev 01)
07:09.0 FireWire (IEEE 1394): Ricoh Co Ltd R5C832 IEEE 1394 Controller (rev 05)
07:09.1 SD Host controller: Ricoh Co Ltd R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter (rev 22)
07:09.2 System peripheral: Ricoh Co Ltd R5C592 Memory Stick Bus Host Adapter (rev 12)
07:09.3 System peripheral: Ricoh Co Ltd xD-Picture Card Controller (rev 12)

[mike@mike-laptop xinit]$ grep "model name" /proc/cpuinfo
model name	: Intel(R) Core(TM)2 Duo CPU     T5250  @ 1.50GHz
model name	: Intel(R) Core(TM)2 Duo CPU     T5250  @ 1.50GHz
Comment 1 Ian Romanick 2013-06-18 13:45:00 UTC
You might try a build from Mesa master.  We've done a lot of performance work, but, unfortunately for you, most of it probably won't help that particular GPU.  The rest of the bad news is that we don't have the bandwidth to do performance work on older platforms.

Sorry. :(
Comment 2 Eric Anholt 2013-06-18 19:22:40 UTC
If you're interested in investigating on your own, there is information at http://dri.freedesktop.org/wiki/IntelPerformanceTuning/ for how we go about investigating things.  There is also a TODO list of likely things at http://dri.freedesktop.org/wiki/I965Todo/
Comment 3 Chris Forbes 2013-06-18 20:21:44 UTC
> motion blur enabled

If that's correct, you probably want to get rid of it.
Comment 4 Mike Higgins 2013-06-23 16:05:16 UTC
Eric:

Thanks for the links, a little over my head, but was reassured to see the graphics card was doing something :)

intel_gpu_top output:


render clock: 500 Mhz  sampler clock: 533 Mhz
                   render busy:  95%: ███████████████████                    render space: 95/131072
                bitstream busy:   0%:                                     bitstream space: 0/4096

                          task  percent busy
            Projection and LOD: 100%: ████████████████████    vert fetch: 0 (0/sec)
                   Bypass FIFO: 100%: ████████████████████    prim fetch: 0 (0/sec)
              Color calculator: 100%: ████████████████████ VS invocations: 0 (0/sec)
             Command Processor:  94%: ██████████████████▉  GS invocations: 0 (0/sec)
                   Row 0, EU 0:  85%: █████████████████         GS prims: 0 (0/sec)
                   Row 0, EU 1:  83%: ████████████████▋    CL invocations: 0 (0/sec)
                   Row 0, EU 2:  81%: ████████████████▎         CL prims: 0 (0/sec)
                   Row 0, EU 3:  80%: ████████████████     PS invocations: 0 (0/sec)
       Instruction cache row 0:  79%: ███████████████▉     PS depth pass: 443662 (1030/sec)
               Strips and Fans:  79%: ███████████████▉     
                   Row 1, EU 0:  79%: ███████████████▉     
                   Row 1, EU 1:  78%: ███████████████▋     
                   Row 1, EU 2:  78%: ███████████████▋     
                   Row 1, EU 3:  76%: ███████████████▎     
       Instruction cache row 1:  75%: ███████████████      
                    Windowizer:  65%: █████████████        
                  Pixel shader:  65%: █████████████        
                         CL CS:  64%: ████████████▉        
                    MASF CS CR:  60%: ████████████         
                         GS CS:  58%: ███████████▋         
                  Setup Engine:  46%: █████████▎           
                 Sampler cache:  45%: █████████            
         Message Arbiter row 0:  42%: ████████▌            
         Message Arbiter row 1:  40%: ████████             
                    Dispatcher:  39%: ███████▉             
                    Map filter:  38%: ███████▋             
                        Map L2:  38%: ███████▋             
                        VS0 CS:  37%: ███████▌             
                         VF CS:  36%: ███████▎             
                     EM0 CS CR:  36%: ███████▎             
                     EM1 CS CR:  33%: ██████▋              
                     Filtering:  31%: ██████▎              
                        URB CS:  29%: █████▉               
   Dependent address generator:  27%: █████▌               
                 Texture fetch:  26%: █████▎               
                     MAW CS CR:  22%: ████▌                
                    SVRW CS CR:  21%: ████▎                
                 Texture fetch:  20%: ████                 
            Texture decompress:  19%: ███▉                 
                    SVRR CS CR:  18%: ███▋                 
                    MASM CS CR:  18%: ███▋                 
                    SVSM CS CR:  15%: ███                  
                        UC0 CS:  13%: ██▋                  
                        ISC CS:  13%: ██▋                  
                    SVDW CS CR:  13%: ██▋                  
                        UC1 CS:  13%: ██▋                  
                      GW CS CR:   9%: █▉                   
                    SVDR CS CR:   0%:                 

Tried apitrace, but disappointing results:

[mike@mike-laptop Half-Life 2]$ python /usr/lib/apitrace/scripts/profileshader.py < hl2_linux.pgpu
+------------+--------------+--------------------+--------------+-------------+
| Shader[id] |   Draws [#]  |   Duration [ns]  v | Per Call[ns] | Longest[id] |
+------------+--------------+--------------------+--------------+-------------+
+------------+--------------+--------------------+--------------+-------------+

Chris:

It doesn't seem to make much difference which settings I use - I've tried with pretty much everything set to 'low' (and motion blur off, of course). Funnily enough, it doesn't seem to even matter if resolution is set to 1280x800 or 720x480, though I would have expected some change in FPS!


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.